Below is a list of the current versions of software for all models.  

It is Humminbird’s recommendation that you always use the most recent version of software available for your model. We update software for various reasons. Fixing minor bugs, adding new features, changing functionality of existing features. We do this for the benefit of the consumer who uses our products.

However there are individuals who believe that there are benefits to using lower versions of software than what we are currently loading on production units. On products built today, you cannot go back any further than version 5.600. There were hardware changes made at this time which will not allow you to go back further without “bricking” your unit.

At the same time, it is also possible to “brick” a unit going back only one previous release if the unit firmware becomes corrupt or the hardware is damaged during this process. ‘Bricking” a unit IS NOT covered under warranty. However, if you successfully go back a version of software and your unit operates properly after the downgrade but later has workmanship issues unrelated to software, these repairs would be covered under warranty during the standard warranty period. Humminbird charges the standard repair fee if resolving “bricking” issues.

PLEASE NOTE: There are several situations which can cause issues if you are not running the most recent version of software. Unit Networking is software version sensitive. Sharing waypoints between units is software version sensitive. If you are not networking products then the risk of running lower versions is minimized . Again version 5.600 is definitely a line in the sand which cannot be crossed.

SoftwareVersions5